### Function

# Gimp param_spec_memsize

since: 2.4

#### Declaration [src]

    GParamSpec*
    gimp_param_spec_memsize (
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      guint64 minimum,
      guint64 maximum,
      guint64 default_value,
      GParamFlags flags
    )

#### Description [src]

Creates a param spec to hold a memory size value. See `g_param_spec_internal()` for more information.

Available since: 2.4

#### Parameters

`name`

  Type: `const gchar*`

  Canonical name of the param.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const gchar*`

  Nickname of the param.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const gchar*`

  Brief description of param.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`minimum`

  Type: `guint64`

  Smallest allowed value of the parameter.

`maximum`

  Type: `guint64`

  Largest allowed value of the parameter.

`default_value`

  Type: `guint64`

  Value to use if none is assigned.

`flags`

  Type: `GParamFlags`

  A combination of `GParamFlags`.

#### Return value

Type: `GParamSpec`

A newly allocated `GParamSpec` instance.

The caller of the function takes ownership of the data, and is responsible for freeing it.